package com.qmth.themis.business.bean.admin;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("开放接口-考试课程详情")
public class OpenExamCourseBean {

	@ApiModelProperty(value = "课程code")
    private String courseCode;

    @ApiModelProperty(value = "课程名称")
    private String courseName;

    @ApiModelProperty(value = "试卷数")
    private Integer paperCount;

    @ApiModelProperty(value = "是否开启客观题乱序")
    private Boolean objectiveShuffle;

    @ApiModelProperty(value = "是否选项乱序")
    private Boolean optionShuffle;

	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public Integer getPaperCount() {
		return paperCount;
	}

	public void setPaperCount(Integer paperCount) {
		this.paperCount = paperCount;
	}

	public Boolean getObjectiveShuffle() {
		return objectiveShuffle;
	}

	public void setObjectiveShuffle(Boolean objectiveShuffle) {
		this.objectiveShuffle = objectiveShuffle;
	}

	public Boolean getOptionShuffle() {
		return optionShuffle;
	}

	public void setOptionShuffle(Boolean optionShuffle) {
		this.optionShuffle = optionShuffle;
	}
    
    
}
